Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jep.functions
Class SquareRoot

    java.lang.Object
      com.singularsys.jep.functions.PostfixMathCommand
          com.singularsys.jep.functions.UnaryFunction
              com.singularsys.jep.functions.SquareRoot

All Implemented Interfaces:
  PostfixMathCommandI, RealUnaryFunction, java.io.Serializable

    public class SquareRoot

extends UnaryFunction
implements RealUnaryFunction

Square root function. Positive Number arguments returns double results. Negative Number arguments return Complex results by default or Double.NaN if the strict flag is set in constructor. Complex arguments return Complex results.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.singularsys.jep.functions.PostfixMathCommand
`curNumberOfParameters, name, NaN, numberOfParameters`

Constructor Summary
`SquareRoot()` Standard constructor, Complex results for negative Number arguments.
`SquareRoot(boolean strict)` If strict is true then returns NaN for negative real arguments.

Method Summary
`java.lang.Object` | `eval(java.lang.Object arg)`
`double` | `evaluate(double val)`
`java.lang.Object` | `sqrt(java.lang.Object param)` Calculates the square root of the parameter.

Methods inherited from class com.singularsys.jep.functions.UnaryFunction
`run`

Methods inherited from class com.singularsys.jep.functions.PostfixMathCommand
`asArray, asBool, asDouble, asInt, asLong, asStrictInt, asString, checkNumberOfParameters, checkStack, getName, getNumberOfParameters, setCurNumberOfParameters, setName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SquareRoot

    public SquareRoot()

  Standard constructor, Complex results for negative Number arguments.

### SquareRoot

    public SquareRoot(boolean strict)

  If strict is true then returns NaN for negative real arguments.

  Parameters:
    `strict` -

Method Detail

### eval

    public java.lang.Object eval(java.lang.Object arg)
                          throws EvaluationException

  Specified by:
    `eval` in class `UnaryFunction`
  Throws:
    `EvaluationException`

### sqrt

    public java.lang.Object sqrt(java.lang.Object param)
                          throws EvaluationException

  Calculates the square root of the parameter. The parameter must either be of type Double or Complex.

  Returns:
    The square root of the parameter.
  Throws:
    `EvaluationException`

### evaluate

    public double evaluate(double val)

  Specified by:
    `evaluate` in interface `RealUnaryFunction`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Singular Systems http://www.singularsys.com/jep